org.encog.ml.bayesian.training

## Enum BayesianInit

- java.lang.Object
- - java.lang.Enum<BayesianInit>
  - - org.encog.ml.bayesian.training.BayesianInit

- All Implemented Interfaces:
    Serializable, Comparable<BayesianInit>

      public enum BayesianInit
      extends Enum<BayesianInit>

  The method by which a Bayesian network should be initialized.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `InitEmpty` Start with no connections.
    `InitNaiveBayes` Init as Naive Bayes.
    `InitNoChange` No init, do not change anything.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BayesianInit` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BayesianInit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### InitNoChange

          public static final BayesianInit InitNoChange

      No init, do not change anything.

    - #### InitEmpty

          public static final BayesianInit InitEmpty

      Start with no connections.

    - #### InitNaiveBayes

          public static final BayesianInit InitNaiveBayes

      Init as Naive Bayes.

  - ### Method Detail

    - #### values

          public static BayesianInit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BayesianInit c : BayesianInit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BayesianInit valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.